Bug 608419 - Review Request: perl-CGI-Application-FastCGI - For using CGI::Application under FastCGI
Summary: Review Request: perl-CGI-Application-FastCGI - For using CGI::Application und...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Iain Arnell
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-27 13:21 UTC by Emmanuel Seyman
Modified: 2010-07-27 02:40 UTC (History)
3 users (show)

Fixed In Version: perl-CGI-Application-FastCGI-0.02-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 02:37:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2010-06-27 13:21:24 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-FastCGI/perl-CGI-Application-FastCGI.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-FastCGI/perl-CGI-Application-FastCGI-0.02-1.fc13.src.rpm
Description:
Inherit this module instead of CGI::Application if you want to run your cgi
programs based on CGI::Application under FastCGI.

Comment 1 Iain Arnell 2010-07-11 07:22:21 UTC
+ source files match upstream.  
    c8812ed3d04a4d4e9233a9550c3862d2  CGI-Application-FastCGI-0.02.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2310649

+ package installs properly.
+ rpmlint has no complaints:
    perl-CGI-Application-FastCGI.noarch: I: checking
    perl-CGI-Application-FastCGI.noarch: I: checking-url http://search.cpan.org/dist/CGI-Application-FastCGI/ (timeout 10 seconds)
    perl-CGI-Application-FastCGI.src: I: checking
    perl-CGI-Application-FastCGI.src: I: checking-url http://search.cpan.org/dist/CGI-Application-FastCGI/ (timeout 10 seconds)
    perl-CGI-Application-FastCGI.src: I: checking-url http://www.cpan.org/authors/id/N/NA/NAOYA/CGI-Application-FastCGI-0.02.tar.gz (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

- final provides and requires are sane:
    perl(CGI::Application::FastCGI) = 0.02
    perl-CGI-Application-FastCGI = 0.02-1.fc14
=
    perl(base)  
    perl(CGI)  
    perl(FCGI)  
    perl(:MODULE_COMPAT_5.12.1)  
    perl(strict)  

+ %check is present and all tests pass.
    t/CGI-Application-FastCGI.t .. ok
    All tests successful.
    Files=1, Tests=1,  0 wallclock secs ( 0.02 usr  0.00 sys +  0.04 cusr  0.01 csys =  0.07 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


You need an explicit "Requires: perl(CGI::Application)" which isn't picked up automatically due to "use base" construct. But otherwise, it's fine.

APPROVED.

Comment 2 Emmanuel Seyman 2010-07-11 09:40:00 UTC
(In reply to comment #1)
>
> You need an explicit "Requires: perl(CGI::Application)" which isn't picked up
> automatically due to "use base" construct. But otherwise, it's fine.

Done.

> APPROVED.    

Thanks, Ian. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-FastCGI
Short Description: For using CGI::Application under FastCGI
Owners: eseyman
Branches: F-13 F-12
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2010-07-12 17:22:06 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-07-12 19:02:24 UTC
perl-CGI-Application-FastCGI-0.02-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-CGI-Application-FastCGI-0.02-2.fc13

Comment 5 Fedora Update System 2010-07-12 19:02:29 UTC
perl-CGI-Application-FastCGI-0.02-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-CGI-Application-FastCGI-0.02-2.fc12

Comment 6 Fedora Update System 2010-07-13 07:45:40 UTC
perl-CGI-Application-FastCGI-0.02-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-FastCGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-FastCGI-0.02-2.fc13

Comment 7 Fedora Update System 2010-07-13 07:48:03 UTC
perl-CGI-Application-FastCGI-0.02-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-FastCGI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-CGI-Application-FastCGI-0.02-2.fc12

Comment 8 Fedora Update System 2010-07-27 02:37:04 UTC
perl-CGI-Application-FastCGI-0.02-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-07-27 02:40:34 UTC
perl-CGI-Application-FastCGI-0.02-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.